<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: FileWatcher Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classFileWatcher.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">FileWatcher Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a46e9cd09061f1411bcbcc02e54dc2e2c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileWatcher.html#a46e9cd09061f1411bcbcc02e54dc2e2c">FileWatcher</a> (std::string file_to_watch, std::chrono::duration&lt; int, std::milli &gt; delay)</td></tr>
<tr class="memdesc:a46e9cd09061f1411bcbcc02e54dc2e2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a new File Watcher for specified file.  <a href="classFileWatcher.html#a46e9cd09061f1411bcbcc02e54dc2e2c">More...</a><br /></td></tr>
<tr class="separator:a46e9cd09061f1411bcbcc02e54dc2e2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f1c6b365b0f4ad868d1d6651508b47f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileWatcher.html#a5f1c6b365b0f4ad868d1d6651508b47f">start</a> (const std::function&lt; void()&gt; &amp;action)</td></tr>
<tr class="memdesc:a5f1c6b365b0f4ad868d1d6651508b47f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Monitor "file_to_watch" for changes and in case of a change execute the user supplied "action" function.  <a href="classFileWatcher.html#a5f1c6b365b0f4ad868d1d6651508b47f">More...</a><br /></td></tr>
<tr class="separator:a5f1c6b365b0f4ad868d1d6651508b47f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4c0c9f77ef132ba0107ce73c4b3b7bd"><td class="memItemLeft" align="right" valign="top"><a id="ab4c0c9f77ef132ba0107ce73c4b3b7bd"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileWatcher.html#ab4c0c9f77ef132ba0107ce73c4b3b7bd">stop</a> ()</td></tr>
<tr class="memdesc:ab4c0c9f77ef132ba0107ce73c4b3b7bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stops Listener. <br /></td></tr>
<tr class="separator:ab4c0c9f77ef132ba0107ce73c4b3b7bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ae5da89dae6bc0fdb81ecbc58cc467718"><td class="memItemLeft" align="right" valign="top"><a id="ae5da89dae6bc0fdb81ecbc58cc467718"></a>
std::chrono::duration&lt; int, std::milli &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>delay</b></td></tr>
<tr class="separator:ae5da89dae6bc0fdb81ecbc58cc467718"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a46e9cd09061f1411bcbcc02e54dc2e2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46e9cd09061f1411bcbcc02e54dc2e2c">&#9670;&nbsp;</a></span>FileWatcher()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">FileWatcher::FileWatcher </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>file_to_watch</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::chrono::duration&lt; int, std::milli &gt;&#160;</td>
          <td class="paramname"><em>delay</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Construct a new File Watcher for specified file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">file_to_watch</td><td>: File to scan for changes </td></tr>
    <tr><td class="paramname">delay</td><td>: Delay in which file will be checked </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a5f1c6b365b0f4ad868d1d6651508b47f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f1c6b365b0f4ad868d1d6651508b47f">&#9670;&nbsp;</a></span>start()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void FileWatcher::start </td>
          <td>(</td>
          <td class="paramtype">const std::function&lt; void()&gt; &amp;&#160;</td>
          <td class="paramname"><em>action</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Monitor "file_to_watch" for changes and in case of a change execute the user supplied "action" function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">action</td><td>Callback-function to be called </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="file__watcher_8hpp_source.html">file_watcher.hpp</a></li>
<li><a class="el" href="file__watcher_8cpp.html">file_watcher.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classFileWatcher.html">FileWatcher</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
